Subject: Re: Ietf Digest, Vol 21, Issue 63

From: "Patrice Lyons" <[email-masked]>
Date: Mon, 16 Jan 2006 14:51:26 -0500

Bob,

They are talking about the first IETF meeting as taking place on Jan. 16, 
1986.  What about the IETF meeting as one of the several task forces that 
Barry Leiner put together while you were still at DARPA?  There was also the 
working group series that preceded the IETF.  I recall that Jon Postel had 
kept the records of this work on the early Internet.  Also, do you plan to 
go to Dallas?  The last message to Harold mentions some agreement reached at 
Tunis with respect to IETF work with the to be formed Internet Governance 
Forum (at least I think that is what it is going to be called) (see early 
work on it at http://www.intgovforum.org/.

Patrice
----- Original Message ----- 
From: <[email-masked]>
To: <[email-masked]>
Sent: Monday, January 16, 2006 10:40 AM
Subject: Ietf Digest, Vol 21, Issue 63

> ------------------------------
>
> Message: 6
> Date: Mon, 16 Jan 2006 11:14:48 +0100
> From: Brian E Carpenter <[email-masked]>
> Subject: An important day for the IETF
> To: IETF discussion list <[email-masked]>
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=us-ascii; format=flowed
>
> Greetings,
>
> The first IETF meeting took place 20 years ago today,
> on January 16th, 1986, in San Diego, California. There were
> 21 attendees and Mike Corrigan was in the chair.
>
> The IETF has come a long way since then. We'll celebrate
> this in fine style during the 65th IETF meeting in
> Dallas, Texas from March 19 to 24, 2006.
>
>    Brian Carpenter
>    IETF Chair No. 6
>
> ------------------------------
>
> Message: 7
> Date: Mon, 16 Jan 2006 12:30:13 +0100
> From: Harald Tveit Alvestrand <[email-masked]>
> Subject: Re: An important day for the IETF
> To: Brian E Carpenter <[email-masked]>, IETF discussion list
> <[email-masked]>
> Message-ID: <BE8FDBE7B6DE849010EB906F@B50854F0A9192E8EC6CDA126>
> Content-Type: text/plain; charset="us-ascii"
>
> Happy birthday, IETF!
>
> And remember to raise an extra toast to Mike St. Johns, who should be
> coming to his 63rd or so IETF meeting in Dallas..... for some of us, this
> has gotten to be a habit!
>
> Wonder how many of the original 21 are still around????
>
>             Harald, attendee since #22 (but missed #29)
>
> --On 16. januar 2006 11:14 +0100 Brian E Carpenter <[email-masked]>
> wrote:
>
>> Greetings,
>>
>> The first IETF meeting took place 20 years ago today,
>> on January 16th, 1986, in San Diego, California. There were
>> 21 attendees and Mike Corrigan was in the chair.
>>
>> The IETF has come a long way since then. We'll celebrate
>> this in fine style during the 65th IETF meeting in
>> Dallas, Texas from March 19 to 24, 2006.
>>
>>     Brian Carpenter
>>     IETF Chair No. 6
>>
>>
>>
>> _______________________________________________
>> Ietf mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/ietf
>>
>>
>
>
> ------------------------------
>
> Message: 9
> Date: Mon, 16 Jan 2006 16:00:12 +0100
> From: Harald Tveit Alvestrand <[email-masked]>
> Subject: Re: An important day for the IETF
> To: Noel Chiappa <[email-masked]>, [email-masked]
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset=us-ascii; format=flowed
>
>
>
> --On mandag, januar 16, 2006 09:39:36 -0500 Noel Chiappa
> <[email-masked]> wrote:
>
>>     > From: Harald Tveit Alvestrand <[email-masked]>
>>
>>     > Wonder how many of the original 21 are still around????
>>
>> You rang? :-)
>
> That's one :-)
>
> The minutes of the first meeting are now online (scanned PDF)(!), and 
> there
> the attendees are listed as:
>
> Braun, Hans-Werner
> Bresica, Mike
> Callon, Ross
> Chiappa, Noel
> Eldridge, Charles
> Gross, Phill
> Hinden, Robert
> Mathis, James
> Mills, David
> Nagle, John
> Natalie, Ronald
> Rokitansky, Carl
> Shacham, Nachum
> Su, Zaw-Sing
> Topolcic, Claudio
> Zhang, Lixia
>
> Clark, David
> Corrigan, Mike
> Deering, Steve
> Means, Robert
> St. Johns, Mike
>
> The only email address that *might* still work is Hans-Werner Braun's....
> none of the others have FQDNs.....
>
>
>
>
>
> ------------------------------
>
> Message: 10
> Date: Mon, 16 Jan 2006 16:30:13 +0100
> From: "JFC (Jefsey) Morfin" <[email-masked]>
> Subject: Re: An important day for the IETF
> To: Harald Tveit Alvestrand <[email-masked]>, Brian E Carpenter
> <[email-masked]>, IETF discussion list <[email-masked]>
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="us-ascii"; format=flowed
>
> At 12:30 16/01/2006, Harald Tveit Alvestrand wrote:
>>Happy birthday, IETF!
>
> Dear Harald,
> you are right, happy birthday! An impressive continuity we should
> strive to protect. In avoiding the status quo that some stakeholders
> may favor, and areas outside of network engineering (such as
> linguistic and country political definition :-)).
>
>>Wonder how many of the original 21 are still around????
>>Harald, attendee since #22 (but missed #29)
>
> Impressive. My own agenda that sad fortnight might help better
> understand the past, present and future of the network.
>
> - on 12-15 January 1986 I attended the eight Telecommunications
> Council Eighth Annual Conference at he Hawaiian Regent Hotel in
> Honolulu. The theme was  "Evolution of the Digital Pacific". Audience
> was probably 200 to 300 people. I had a lunch there with two lady
> training consultant for the US Army TV network, to discuss how to
> support their program on packet switch network, with Compression Lab 
> tools.
> - on the 16 I had a diner at the Bonaventure (LA) with Father Bourret
> (http://www.kuangchi.com/english/history.htm). On the agenda: packet
> switching in TW and a Vatican State International Packet Switch Gateway
> - then I brought international data services experience in meetings
> with an LA based Bank and for a complete turn-key online banking
> service to a group NY banks. Multi-currency accounts, ATM
> connections. I explained our experience with air-line reservation
> services for most of the major airlines, hotels chains and
> rent-a-cars, and how it worked at regular Travel Agents using a
> service you would call a smart OPES today.
> - met with Mobil Oil international communications manager (NY) and
> routine meetings with the International Carriers. I was in Washington
> on the 28th.
>
> We used to refer to ARPANET as the "grand father" :-). Minitel users
> were probably already 3 millions in France, plus Prestel in UK, plus
> Germany, etc.. Over these 20 years since these Tymnet times, OSI,
> then the Internet made us to step from 7+ to 70+ to 700+ millions of
> active users worldwide.
>
> But you may understand why I feel the architectural evolution is
> sometimes dismaying and why constraints and rigidity cannot bring
> innovation and expansion. We need now another technology leap frog
> towards the 7+ billions users.
>
> Only a multilingual, multinational, multilateral, multitechnology,
> multiservice continuity architecture can deliver now.
> Good luck to everyone for the next decade which will be decisive.
>
> I do hope you will permit it to be in cooperation with the IGF,. That
> we can proceed fast on a stable, reasonable and acceptable equal
> opportunity but competitive fair basis. As we all agreed in Tunis.
> jfc
>
> 

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Marshall Eubanks <[email-masked]>
Date: Mon, 16 Jan 2006 15:12:10 -0500

While we are on the subject, in the archives of the IETF there are  
proceedings of one Internet Architecture Task Force meeting, in May,  
1986.

Can anyone fill me in on this entity and what happened to it ?

Regards
Marshall Eubanks

On Jan 16, 2006, at 2:51 PM, Patrice Lyons wrote:

> Bob,
>
> They are talking about the first IETF meeting as taking place on  
> Jan. 16, 1986.  What about the IETF meeting as one of the several  
> task forces that Barry Leiner put together while you were still at  
> DARPA?  There was also the working group series that preceded the  
> IETF.  I recall that Jon Postel had kept the records of this work  
> on the early Internet.  Also, do you plan to go to Dallas?  The  
> last message to Harold mentions some agreement reached at Tunis  
> with respect to IETF work with the to be formed Internet Governance  
> Forum (at least I think that is what it is going to be called) (see  
> early work on it at http://www.intgovforum.org/.
>
> Patrice
> ----- Original Message ----- From: <[email-masked]>
> To: <[email-masked]>
>> The minutes of the first meeting are now online (scanned PDF)(!),  
>> and there
>> support their program on packet switch network, with Compression  
>> Lab tools.

---

From: Robert Kahn <[email-masked]>
Date: Mon, 16 Jan 2006 16:12:05 -0500

Patrice,

You ask a relevant historical question, so let me try my hand at an answer.

The history here is like this. Vint Cerf set up something called the 
Internet Configuration Control Board (ICCB) in the late 1970s when we were 
both at DARPA. It was intended to be an informal group that would meet from 
time to time, provide inputs and guidance as necessary and also inform a 
small but critical group of implementers about what we were doing at 
DARPA.with respect to the Internet. The ICCB consisted of twelve folks from 
the research community, essentially all of whom were involved in 
implementing Internet protocols. Dave Clark of MIT chaired the ICCB and it 
met at various places usually in connection with another set of meetings 
such as the Packet Satellite Meetings that I ran, or perhaps the Packet 
Radio meetings or other network meetings at which larger groups would 
gather. Over a period of years, we had numerous requests from others to sit 
in for the purpose of just listening to the discussions. At first there 
were a small number of others sitting in, but over time the number grew to 
several hundred and large meeting halls were then needed to house the 
twelve ICCB members plus Vint and me. Logistics soon became unwieldy, and 
when Vint left to go to MCI in late 1982, I took over the responsibility 
for the ICCB on behalf of DARPA for about a year at that point. Dave Clark 
continued to chair the group and I brought Barry Leiner into the picture 
and helped him to learn about the developing Internet so he could take over 
for me. Once that happened (late 1983 as I recall), he and Dave Clark 
recommended that we no longer try to hold such large ICCB meetings and 
proposed instead to establish an Internet Activities Board (IAB) in place 
of the ICCB. The IAB would have (initially) ten working groups underneath 
it to focus on specific technical topics such as routing, end-end 
protocols, autonomous systems and the like. In this new alternative 
structure, the twleve members of the IAB would be responsible for 
chartering and overseeing the working groups and the IAB could now meet by 
itself since the other attendees were now free to attendee the various 
working group meetings, which were held at various sites (often and usually 
research participant sites) around the country, if not around the world. 
Dave Clark continued to chair the IAB as he had done for the ICCB. When 
DARPA decided to get out of networking (temporarily as it turned out) in 
the mid 1980s, the DARPA oversight went away as well. NSF later assumed 
responsibility for providing support to the IAB (and thus to the IETF) and 
CNRI was asked by NSF to create a dedicated Secretariat for that purpose, 
which we did. CNRI ran the Secretariat until just recently, with support 
from NSF until 1998 and with meeting fees helping to offset secretariat 
costs starting in the early 1990s. CNRI formed a subsidiary, Foretec 
Seminars, to carry out the secretariat functions under contract to CNRI. On 
December 15, 2005 after considerable discussion with the IETF leadership 
and others, CNRI completed the sale of Foretec to NeuStar Secretariat Services.

One of the original ten working groups under the IAB was called "Internet 
Engineering" and it was led by Ed  Cain of the Defense Communications 
Agency (DCA). The job of this working group was to maintain a vigil over 
the "punch list" items needed to get the Internet up and running smoothly 
at that time (1983). By about 1985 or so, its original job was primarily 
done, but the number of working groups had by then grown to a number closer 
to perhaps fifty. The IAB was now burdened by the need to oversee a much 
larger number of subordinate activities and it asked the Internet 
Engineering group to assume that responsibility on its behalf and reporting 
to the IAB. Thus did the Internet Engineering Task Force (as we know it 
today) come into being as a transition of the original Internet Engineer 
working group. While there were numerous meetings of the original Internet 
Engineering group, the first meeting of the group that reflected the new 
arrangement took place in early 1986 in San Diego.

I do not know what the plans are yet for Dallas, but I suspect the IETF 
wants to just move ahead and if so I would probably not plan to attend the 
Dallas meeting. If there is an effort to reflect on some of the historical 
elements of the IETF, it might make sense for me to attend.

bob

>Barry Leiner put together while you were still at DARPA?  There was also 
>the working group series that preceded the IETF.  I recall that Jon Postel 
>had kept the records of this work on the early Internet.  Also, do you 
>plan to go to Dallas?  The last message to Harold mentions some agreement 
>reached at Tunis with respect to IETF work with the to be formed Internet 
>Governance Forum (at least I think that is what it is going to be called) 
>(see early work on it at http://www.intgovforum.org/.
>
>Patrice
>>The minutes of the first meeting are now online (scanned PDF)(!), and there
>>support their program on packet switch network, with Compression Lab tools.

---

From: Elwyn Davies <[email-masked]>
Date: Sun, 22 Jan 2006 00:19:51 +0000

There are some of the early Internet Monthly reports online at 
http://ftp.us.xemacs.org/ftp/pub/internet-monthly-reports/ (incomplete 
before mid-1986)

The April 1986 edition (imr8604.txt) has the following...

   INTERNET ARCHITECTURE .Grab=5;
 
      .IOvr=3;1. A third draft of a document on gateway requirements was
      circulated for advice and comment in INENG, INARC and the Workshop
      on IS-IS Routing held at NBS. Strictly speaking, this is an NSF
      document and is being reviewed both as a service to NBS and as
      possible guidance for the DoD community.
 
      2. An agenda and marching orders are in place for the first
      meeting of INARC to be held at BBN on 8-9 May. Dave Clark has
      agreed to attend, as well as Lyman Chapin, who chairs the ANSI
      committee charged with routing issues. Marianne Gardner and
      possibly others from BBN will summarize their work on advanced
      routing issues.
 
      3. Discussion continues over a proposed RFC on ISO addressing
      co-authored by Hans-Werner Braun and Ross Callon. This is a legacy
      of the now defunct GADS, but may serve as an opening wedge for
      more general Dod-ISO convergence issues. .IOvr=0;
 
      Dave Mills
 
   INTERNET ENGINEERING .Grab=5;
 
      .IOvr=3;1) The initial meeting of this Task Force convened during
      an open afternoon of the final GADS on January 16, 1986.  A
      tentative Task Force agenda of short, mid and long term goals was
      set.
 
      2) The first full meeting was held on April 8-9, 1986 where the
      agenda focused on: .IOvr=0;
 
         - Recent Internet performance degradation
         - EGP Modifications
         - IP refinements in hosts and gateways for improved routing and
           congestion control
 
      3) A summary of recent Internet performance was given: .Grab=8;
 
                                       Dec 85     Jan 85
      Traffic Sent by Mail Bridges     ~27        ~35   (Mpackets/week)
      Traffic Sent by Mail Bridges     ~90        ~105  (Mpackets/week)
 
      Traffic Dropped by Mail Bridges  ~3%        ~6%
      Traffic Dropped by Mail Bridges  ~2%        ~4%
 
      .IOvr=3;4) BBN discussed two possible sources for these sharp
      changes: 1) a bug in the LSI gateway routing software, which was
      recently discovered and corrected and 2) resource shortage in the
      Mail Bridge PSNs, due to be alleviated by end of April).
 
      6) EGP modifications of two types were discussed: 1) areas in
      which the specification needed to be tightened and 2) areas in
      which the specification can profitable be `re-interpreted'.
      Examples of the second type include fragmented updates and
      interpreting the metric (eg, RFC975 - Autonomous Confederations).
 
      7) Several new ICMP messages were proposed to facilitate fault
      isolation and routing (eg, initial gateway discovery, discovery of
      preferred address for multi-homed hosts).  A co-operative
      congestion control scheme was proposed. Discussion of this scheme
      will continue in the Internet Architecture Task Force. .IOvr=0;
 
      8) Actions in progress:
 
         - continued tracking of Internet traffic for expected
           improvements,
         - produce RFC of EGP modifications,
         - produce RFC specifying host attachment and IP/ICMP
           modifications.
 
      .IOvr=3;9) Detailed meeting notes are available upon request to
      [email-masked], with cc to [email-masked].  Those requesting
      the notes will be added to the Task Force interest list. .IOvr=0;
 
      Phill Gross
 
I haven't been able to find a complete set of these reports from 
BTW, I came across this mail message from the ancient history of the tcp_ip mailing list (archived at UCL http://www-mice.cs.ucl.ac.uk/multimedia/misc/)
I liked the last paragraph...

Date: Fri, 31 Oct 86 10:04:19 PST
From: Bob Braden <[email-masked]>
Posted-Date: Fri, 31 Oct 86 10:04:19 PST
To: [email-masked]
Subject: Re:  Poor performance related to egp?
Cc: [email-masked], [email-masked], [email-masked]

The examples you cite of "horrible" EGP routing are probably due to the
extra-hop problem in the core.  Apparently we have not done an adequate
job of information-spreading, if you are not aware of this problem.  I
seem to recall a blaze of messages on this very subject within the past 6
months, probably on the tcp-ip list.  It began with a complaint almost
identical to yours, and ended with a scholarly explanation of the
extra-hop problem by Dave Mills.

The extra-hop problem can at worst double the core traffic, and it is
scheduled to go away when the Butterflies take over the core.  I forget
the exact predicted date from BBN, but rescue is in sight.

As for performance, in some funny sense EGP is (deliberately) designed for
poor performance, in the sense that it is intended to server as a firewall
against misbehaviour by routing domains outside the core.  It is true, as
Mike StJohns says, that EGP is not a routing protocol; it is also true that
this fact has led to serious restrictions in topology and therefore a
crash effort is being mounted to replace EGP with a routing protocol, under
the direction of the INENG and INARCH task forces. 
 
However, maybe we are asking too much of EGP.  Perhaps we are trying to
make it a technical fix for administrative problems.  To avoid bad things
like oscillations and routing loops in the face of the "diversity" (to
use a nice word) of the Internet as a whole, EGP or whatever replaces it
will always have to use long time constants and provide some sub-optimal
routes.  At the present time, the Internet is growing largely by
accretion of new Autonomous Systems, and this must lead to some 
degradation as you cross boundaries.  If we want better overall
performance, we need to persuade these systems to aggregate into bigger
systems, each run by centralized and professional Internet management,
and each using a carefully-optimized IGP.

I go into all this polemic, because lately I have been exposed to an 
awful lot of technological optimism (ask NASA about that!) about 
Internetting.  I wish we could convince some of the new players in the
Internet game that it takes great technical sophistication and wisdom
to make this stuff work well.  The Anarchy Model of Internetting,
while theoretically feasible due to EGP, is not really a very wise way
to go.

Bob Braden

=========================

regards,
Elwyn Davies

Marshall Eubanks wrote:

>> IETF.  I recall that Jon Postel had kept the records of this work  on 
>> the early Internet.  Also, do you plan to go to Dallas?  The  last 
>> message to Harold mentions some agreement reached at Tunis  with 
>> respect to IETF work with the to be formed Internet Governance  Forum 
>> (at least I think that is what it is going to be called) (see  early

---

From: Scott W Brim <[email-masked]>
Date: Sun, 22 Jan 2006 09:46:01 +0100

>         - EGP Modifications

FGP, the follow-on gateway protocol.